package cn.mrdear.controller;

import cn.mrdear.mapper.JobOrderMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author: zxy
 * @Date: create in 2025/4/2 10:10
 */
@Controller
public class ExeOrderController {
    private Logger logger = LoggerFactory.getLogger(ExeOrderController.class);

    @Autowired
    JobOrderMapper jobOrderMapper;

    @RequestMapping(value = "/execOrder",method = RequestMethod.GET)
    public String execOrder() {
        return "execOrder";
    }


    @RequestMapping(value = "/runJobOrder",method = RequestMethod.POST)
    @ResponseBody
    @Transactional(rollbackFor = Exception.class)
    public Map<String,Object> runJobOrder(){
        int currentYear = Calendar.getInstance().get(Calendar.YEAR);
        String jobOrderExeTableName = "emeso_job_order_exe_" + currentYear;
        String jobOrderTableName = "emeso_job_order_" + currentYear;
        jobOrderMapper.updateJobOrderExe(jobOrderExeTableName);
        int orderCount = jobOrderMapper.updateJobOrder(jobOrderTableName);
        Map<String, Object> resultMap = new HashMap<>();
        resultMap.put("order_count",orderCount);
        logger.warn("刷单条数：----》" + orderCount);
        return resultMap;
    }
}
